GROMACS - Bug #2599

do_dssp works incorrectly with unknown residues
08/07/2018 05:18 PM - Boris Timofeev

Status: Closed

Priority: Normal

Assignee: David van der Spoel

Category: analysis tools

Target version: 2019

Affected version - Difficulty: simple
extra info:

Affected version: 2016.6

Description

The current realization of do_dssp correctly works only with standard amino acids residues.

If in the studied protein unknown residues meet, dssp programm ignores them,

whereas gromacs considers them hydrophilic, and besides, indexation of resudues is broken.

My improuvements also ignores unknown residues, but the result turns out incomplete whereas Gromacs yields incorrect result.
Additionally, the file transfer to dssp programm through pipe eliminating need of repeated creation and removal of files.

Associated revisions

Revision 61051bf0 - 12/06/2018 05:02 PM - boristim
Updates to do_dssp

As posted by Boris Timofeev on redmine, do_dssp has been
broken before when encountering unknown residues.

This fixes the behaviour.

Refs #2599

Change-Id: 116f09ed33cf86c699a2667d101740ce0fc2c0919

History

#1 - 08/13/2018 04:18 PM - Paul Bauer

Hello, if you think this is good enough to go into the code, please upload it to gerrit.gromacs.org for code review! :) If you already did this, please link
the redmine issue in the code commit.

#2 - 08/24/2018 07:06 PM - Boris Timofeev

Thank you, Paul. Done.
| recomend to replace also "/dev/null" to NULL_DEVICE elsewhere in code for portability issues

#3 - 08/25/2018 01:03 PM - Gerrit Code Review Bot

Gerrit received a related patchset '2' for Issue #2599.

Uploader: Paul Bauer (paul.bauer.q@gmail.com)

Change-Id: gromacs~master~116f09ed33cf86c699a2667d101740ce0fc2c0919
Gerrit URL: https://gerrit.gromacs.org/8252

#4 - 08/27/2018 04:28 PM - Paul Bauer
- Target version changed from 2016.6 to 2019

As with the other issue, changed to target the next main release.

#5 - 12/03/2018 02:36 PM - Gerrit Code Review Bot

Gerrit received a related patchset '1' for Issue #2599.

Uploader: Paul Bauer (paul.bauer.q@gmail.com)

Change-Id: gromacs~release-2019~116f09ed33cf86c699a2667d101740ce0fc2c0919
Gerrit URL: https://gerrit.gromacs.org/8771

#6 - 12/07/2018 02:44 PM - Paul Bauer
- Status changed from New to Resolved
The issue at hand has been fixed, but we may want to have a separate issue for porting do_dssp to GROMACS natively.

#7 - 12/10/2018 08:02 AM - Paul Bauer

- Status changed from Resolved to Closed

Files
gmx_do_dssp.cpp 23.9 KB 08/07/2018 Boris Timofeev
